### Class

# EvinceView DocumentModel

since: 3.0

#### Description

    final class EvinceView.DocumentModel : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 3.0

#### Ancestors

- GObject

#### Constructors

###### ev_document_model_new

No description available.

since: 3.0

###### ev_document_model_new_with_document

No description available.

since: 3.0

#### Instance methods

###### ev_document_model_get_continuous

No description available.

since: 3.0

###### ev_document_model_get_document

Returns the `EvDocument` referenced by the model.

since: 3.0

###### ev_document_model_get_dual_page

No description available.

deprecated: 3.8 since: 3.0

###### ev_document_model_get_dual_page_odd_pages_left

No description available.

since: 3.0

###### ev_document_model_get_fullscreen

No description available.

since: 3.0

###### ev_document_model_get_inverted_colors

No description available.

since: 3.0

###### ev_document_model_get_max_scale

No description available.

since: 3.0

###### ev_document_model_get_min_scale

No description available.

since: 3.0

###### ev_document_model_get_page

No description available.

since: 3.0

###### ev_document_model_get_page_layout

No description available.

since: 3.8

###### ev_document_model_get_rotation

No description available.

since: 3.0

###### ev_document_model_get_rtl

No description available.

since: 3.0

###### ev_document_model_get_scale

No description available.

since: 3.0

###### ev_document_model_get_sizing_mode

No description available.

since: 3.0

###### ev_document_model_set_continuous

No description available.

since: 3.0

###### ev_document_model_set_document

No description available.

since: 3.0

###### ev_document_model_set_dual_page

Sets the document model’s page layout to `EV_PAGE_LAYOUT_SINGLE` or `EV_PAGE_LAYOUT_DUAL`.

deprecated: 3.8 since: 3.0

###### ev_document_model_set_dual_page_odd_pages_left

No description available.

since: 3.0

###### ev_document_model_set_fullscreen

No description available.

since: 3.0

###### ev_document_model_set_inverted_colors

No description available.

since: 3.0

###### ev_document_model_set_max_scale

No description available.

since: 3.0

###### ev_document_model_set_min_scale

No description available.

since: 3.0

###### ev_document_model_set_page

No description available.

since: 3.0

###### ev_document_model_set_page_by_label

No description available.

since: 3.0

###### ev_document_model_set_page_layout

Sets the document model’s page layout to `layout`.

since: 3.8

###### ev_document_model_set_rotation

No description available.

since: 3.0

###### ev_document_model_set_rtl

No description available.

since: 3.0

###### ev_document_model_set_scale

No description available.

since: 3.0

###### ev_document_model_set_sizing_mode

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceView.DocumentModel:continuous

No description available.

since: 3.0

###### EvinceView.DocumentModel:document

No description available.

since: 3.0

###### EvinceView.DocumentModel:dual-odd-left

No description available.

since: 3.0

###### EvinceView.DocumentModel:dual-page

No description available.

since: 3.0

###### EvinceView.DocumentModel:fullscreen

No description available.

since: 3.0

###### EvinceView.DocumentModel:inverted-colors

No description available.

since: 3.0

###### EvinceView.DocumentModel:max-scale

No description available.

since: 3.0

###### EvinceView.DocumentModel:min-scale

No description available.

since: 3.0

###### EvinceView.DocumentModel:page

No description available.

since: 3.0

###### EvinceView.DocumentModel:page-layout

No description available.

since: 3.0

###### EvinceView.DocumentModel:rotation

No description available.

since: 3.0

###### EvinceView.DocumentModel:rtl

No description available.

since: 3.0

###### EvinceView.DocumentModel:scale

No description available.

since: 3.0

###### EvinceView.DocumentModel:sizing-mode

No description available.

since: 3.0

#### Signals

###### EvinceView.DocumentModel::page-changed

No description available.

since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceViewDocumentModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.